Loading...
Searching...
No Matches
hoel-mariadb.c File Reference
`#include "hoel.h"`
`#include "h-private.h"`

## Functions

struct _h_connection * | h_connect_mariadb (const char *host, const char *user, const char *passwd, const char *db, const unsigned int port, const char *unix_socket)
void | h_close_mariadb (struct _h_connection *conn)
char * | h_escape_string_mariadb (const struct _h_connection *conn, const char *unsafe)
char * | h_escape_string_with_quotes_mariadb (const struct _h_connection *conn, const char *unsafe)
long long int | h_last_insert_id_mariadb (const struct _h_connection *conn)
int | h_execute_query_mariadb (const struct _h_connection *conn, const char *query, struct _h_result *h_result)
int | h_execute_query_json_mariadb (const struct _h_connection *conn, const char *query, json_t **j_result)
struct _h_data * | h_get_mariadb_value (const char *value, const unsigned long length, const int m_type)